GitHub Followers API

Get public followers for a GitHub user. Pass username, handle, or url.

1 creditper request
GET
/v1/github/user/followers
curl "https://api.scrapecreators.com/v1/github/user/followers" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997684592,
  "followers": [
    {
      "id": 206,
      "node_id": "MDQ6VXNlcjIwNg==",
      "login": "sprsquish",
      "avatar_url": "https://avatars.githubusercontent.com/u/206?v=4",
      "url": "https://github.com/sprsquish",
      "type": "User",
      "site_admin": false
    },
    {
      "id": 365,
      "node_id": "MDQ6VXNlcjM2NQ==",
      "login": "pius",
      "avatar_url": "https://avatars.githubusercontent.com/u/365?v=4",
      "url": "https://github.com/pius",
      "type": "User",
      "site_admin": false
    }
  ],
  "cursor": 2
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

GitHub username/handle of the user you want the followers for

Example:
torvalds
url
string

GitHub user URL, e.g. https://github.com/torvalds.

Example:
https://github.com/torvalds
cursor
number

Cursor from the previous response. Defaults to 1.

Example:
1